// JavaScript Document

$(document).ready(function(){ //Ensure the DOM is fully loaded before running the below code
	$("#myForm").submit(function (event){
		var success = true;
        if(!validateEmail()){
			success = false;
        }
		
		if(!validatePassword()){
			success = false;
		}
	
  
		if(!validateMobile()){
			success==false;
		}
		
		
		if(!validateDob()){
			success==false;
		}
		
		
		if(!validateUrl()){
			success==false;
		}
		
		if(success==false){
			event.preventDefault();
		}
		
	})

	$("#mobile").change(function() {
		$("#mobile").val($("#mobile").val().replace("+614", "0"));
		
	});	
	
	$("#mobile").change(function() {
		$("#mobile").val($("#mobile").val().replace(/[^\d]/g, ''));
	});
	
	
	$("#datepicker").attr('readOnly', 'true');
	$("#datepicker").datepicker({
		dateFormat: "dd-mm-yy",
		yearRange: "1910:+nn",
		changeMonth: true,
		changeYear: true,
	});
			
	$("#email").keyup (function(){
		validateEmail();
	})
	
	$("#password").keyup(function(){
		validatePassword();
    })
	
	$("#mobile").keyup(function(){
		validateMobile();
    })
	
	$("#mobile").change(function(){
		validateMobile();
    })
	
	$("#url").keyup(function(){
		validateUrl();
    })
	
	$("#datepicker").change(function(){
		validateDob();
    })
	
})

function validateEmail(){
	var re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;

	var result = re.test($("#email").val());
		
	if(!result){
		$("#email").addClass("error");

        if(!$("#emailError").length){//only display the error if it does not already exist
			$("#email").after("<span id=\"emailError\">Please enter a valid email address</span>");
			$("#email").focus();
        }

        }else{
			$("#email").removeClass("error");
            $("#emailError").remove();
		}

		return result;
		}

function validatePassword(){
	var re = /^(?=.*\d).{6,}$/;

    var result = re.test($("#password").val());

    if(!result){
		$("#password").addClass("error");
		
		if(!$("#passwordError").length){//only display the error if it does not already exist
			$("#password").after("<span id=\"passwordError\">Please enter a valid password containing minimum 6 characters, including at least 1 number</span>");
            $("#password").focus();
		}

                               
        }else{
			$("#password").removeClass("error");
			$("#passwordError").remove();
		}

		return result;
}
	

function validateMobile(){
    var re = /^04[0-9]{8}$/;
    
	var result = re.test($("#mobile").val());
	
	if(!result){
		$("#mobile").addClass("error");
       
	if(!$("#mobileError").length){//only display the error if it does not already exist
		$("#mobile").after("<span id=\"mobileError\">Please enter a valid mobile number</span>");
        $("#mobile").focus();
	}
	
	}else{
		$("#mobile").removeClass("error");
        $("#mobileError").remove();
	}
	
	return result;
}

function validateUrl(){
    var re = /([^\s\.]+\.[^\s]{2,}|www\.[^\s]+\.[^\s]{2,})/gi;
    
	var result = re.test($("#url").val());
	
	if(!result){
		$("#url").addClass("error");
    
	if(!$("#urlError").length){
			$("#url").after("<span id=\"urlError\">Please enter a valid URL</span>");
            $("#url").focus();
	}
	
	}else{
		$("#url").removeClass("error");
        $("#urlError").remove();
	}
	
	return result;
}	


function validateDob(){
	if($("#datepicker").datepicker("getDate") === null) {
		$("#datepicker").addClass("error");
		
	if(!$("#dobError").length){//only display the error if it does not already exist
			$("#datepicker").after("<span id=\"dobError\">Please select a valid date of birth</span>");
    }
	
	}else{
		$("#datepicker").removeClass("error");
        $("#dobError").remove();
	}
}	


   





